﻿@{
    ViewBag.Title = "Dashboard";
    ViewBag.SubTitle = "";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>


<script type="text/javascript">
    var oTable;

    
    function loadDepartment() {
        //alert('loadDepartment');
        return $.ajax({
            url: '@Url.Action("GetDeptListbyDivId", "Dashboard")?divid=' + '@ViewBag.DivId',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlDepartment').empty();
                $('#ddlDepartment').append('<option value="0">All</option>');
                $.each(results, function (i, result) {
                    $('#ddlDepartment').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlDepartment').append('<option value="">No data found</option>');
            }
        });
    }
    function loadRiskMap() {
        //alert('loadRiskMap');

        var GetDetail = '@Url.Action("GetRiskMap", "Dashboard")?divid=' + '@ViewBag.DivId' + '&deptid=' + $('#ddlDepartment').val();
        return $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    
                    //Inherent Risk
                    $("#lblihr_cara").html(GetDetail.ihr_cara);
                    $("#lblihr_caun").html(GetDetail.ihr_caun);
                    $("#lblihr_capo").html(GetDetail.ihr_capo);
                    $("#lblihr_cali").html(GetDetail.ihr_cali);
                    $("#lblihr_caac").html(GetDetail.ihr_caac);


                    $("#lblihr_mara").html(GetDetail.ihr_mara);
                    $("#lblihr_maun").html(GetDetail.ihr_maun);
                    $("#lblihr_mapo").html(GetDetail.ihr_mapo);
                    $("#lblihr_mali").html(GetDetail.ihr_mali);
                    $("#lblihr_maac").html(GetDetail.ihr_maac);

                    $("#lblihr_mora").html(GetDetail.ihr_mora);
                    $("#lblihr_moun").html(GetDetail.ihr_moun);
                    $("#lblihr_mopo").html(GetDetail.ihr_mopo);
                    $("#lblihr_moli").html(GetDetail.ihr_moli);
                    $("#lblihr_moac").html(GetDetail.ihr_moac);

                    $("#lblihr_mira").html(GetDetail.ihr_mira);
                    $("#lblihr_miun").html(GetDetail.ihr_miun);
                    $("#lblihr_mipo").html(GetDetail.ihr_mipo);
                    $("#lblihr_mili").html(GetDetail.ihr_mili);
                    $("#lblihr_miac").html(GetDetail.ihr_miac);

                    $("#lblihr_inra").html(GetDetail.ihr_inra);
                    $("#lblihr_inun").html(GetDetail.ihr_inun);
                    $("#lblihr_inpo").html(GetDetail.ihr_inpo);
                    $("#lblihr_inli").html(GetDetail.ihr_inli);
                    $("#lblihr_inac").html(GetDetail.ihr_inac);

                    //Residual Risk
                    $("#lblres_cara").html(GetDetail.res_cara);
                    $("#lblres_caun").html(GetDetail.res_caun);
                    $("#lblres_capo").html(GetDetail.res_capo);
                    $("#lblres_cali").html(GetDetail.res_cali);
                    $("#lblres_caac").html(GetDetail.res_caac);


                    $("#lblres_mara").html(GetDetail.res_mara);
                    $("#lblres_maun").html(GetDetail.res_maun);
                    $("#lblres_mapo").html(GetDetail.res_mapo);
                    $("#lblres_mali").html(GetDetail.res_mali);
                    $("#lblres_maac").html(GetDetail.res_maac);

                    $("#lblres_mora").html(GetDetail.res_mora);
                    $("#lblres_moun").html(GetDetail.res_moun);
                    $("#lblres_mopo").html(GetDetail.res_mopo);
                    $("#lblres_moli").html(GetDetail.res_moli);
                    $("#lblres_moac").html(GetDetail.res_moac);

                    $("#lblres_mira").html(GetDetail.res_mira);
                    $("#lblres_miun").html(GetDetail.res_miun);
                    $("#lblres_mipo").html(GetDetail.res_mipo);
                    $("#lblres_mili").html(GetDetail.res_mili);
                    $("#lblres_miac").html(GetDetail.res_miac);

                    $("#lblres_inra").html(GetDetail.res_inra);
                    $("#lblres_inun").html(GetDetail.res_inun);
                    $("#lblres_inpo").html(GetDetail.res_inpo);
                    $("#lblres_inli").html(GetDetail.res_inli);
                    $("#lblres_inac").html(GetDetail.res_inac);

                    if (GetDetail.dashlink == "Y") loadDashLink();
                }
            },
            error: function () {

            }
        });


    }

    

    function loadDashLink() {
        //alert('loadDashLink');

        //Inherent Risk
        $("#lblihr_cara").click(function () { if ($("#lblihr_cara").text() != '') Redirect(); });
        $("#lblihr_caun").click(function () { if ($("#lblihr_caun").text() != '') Redirect(); });
        $("#lblihr_capo").click(function () { if ($("#lblihr_capo").text() != '') Redirect(); });
        $("#lblihr_cali").click(function () { if ($("#lblihr_cali").text() != '') Redirect(); });
        $("#lblihr_caac").click(function () { if ($("#lblihr_caac").text() != '') Redirect(); });

        $("#lblihr_mara").click(function () { if ($("#lblihr_mara").text() != '') Redirect(); });
        $("#lblihr_maun").click(function () { if ($("#lblihr_maun").text() != '') Redirect(); });
        $("#lblihr_mapo").click(function () { if ($("#lblihr_mapo").text() != '') Redirect(); });
        $("#lblihr_mali").click(function () { if ($("#lblihr_mali").text() != '') Redirect(); });
        $("#lblihr_maac").click(function () { if ($("#lblihr_maac").text() != '') Redirect(); });

        $("#lblihr_mora").click(function () { if ($("#lblihr_mora").text() != '') Redirect(); });
        $("#lblihr_moun").click(function () { if ($("#lblihr_moun").text() != '') Redirect(); });
        $("#lblihr_mopo").click(function () { if ($("#lblihr_mopo").text() != '') Redirect(); });
        $("#lblihr_moli").click(function () { if ($("#lblihr_moli").text() != '') Redirect(); });
        $("#lblihr_moac").click(function () { if ($("#lblihr_moac").text() != '') Redirect(); });

        $("#lblihr_mira").click(function () { if ($("#lblihr_mira").text() != '') Redirect(); });
        $("#lblihr_miun").click(function () { if ($("#lblihr_miun").text() != '') Redirect(); });
        $("#lblihr_mipo").click(function () { if ($("#lblihr_mipo").text() != '') Redirect(); });
        $("#lblihr_mili").click(function () { if ($("#lblihr_mili").text() != '') Redirect(); });
        $("#lblihr_miac").click(function () { if ($("#lblihr_miac").text() != '') Redirect(); });

        $("#lblihr_inra").click(function () { if ($("#lblihr_inra").text() != '') Redirect(); });
        $("#lblihr_inun").click(function () { if ($("#lblihr_inun").text() != '') Redirect(); });
        $("#lblihr_inpo").click(function () { if ($("#lblihr_inpo").text() != '') Redirect(); });
        $("#lblihr_inli").click(function () { if ($("#lblihr_inli").text() != '') Redirect(); });
        $("#lblihr_inac").click(function () { if ($("#lblihr_inac").text() != '') Redirect(); });

        //Residual Risk
        $("#lblres_cara").click(function () { if ($("#lblres_cara").text() != '') Redirect(); });
        $("#lblres_caun").click(function () { if ($("#lblres_caun").text() != '') Redirect(); });
        $("#lblres_capo").click(function () { if ($("#lblres_capo").text() != '') Redirect(); });
        $("#lblres_cali").click(function () { if ($("#lblres_cali").text() != '') Redirect(); });
        $("#lblres_caac").click(function () { if ($("#lblres_caac").text() != '') Redirect(); });

        $("#lblres_mara").click(function () { if ($("#lblres_mara").text() != '') Redirect(); });
        $("#lblres_maun").click(function () { if ($("#lblres_maun").text() != '') Redirect(); });
        $("#lblres_mapo").click(function () { if ($("#lblres_mapo").text() != '') Redirect(); });
        $("#lblres_mali").click(function () { if ($("#lblres_mali").text() != '') Redirect(); });
        $("#lblres_maac").click(function () { if ($("#lblres_maac").text() != '') Redirect(); });

        $("#lblres_mora").click(function () { if ($("#lblres_mora").text() != '') Redirect(); });
        $("#lblres_moun").click(function () { if ($("#lblres_moun").text() != '') Redirect(); });
        $("#lblres_mopo").click(function () { if ($("#lblres_mopo").text() != '') Redirect(); });
        $("#lblres_moli").click(function () { if ($("#lblres_moli").text() != '') Redirect(); });
        $("#lblres_moac").click(function () { if ($("#lblres_moac").text() != '') Redirect(); });

        $("#lblres_mira").click(function () { if ($("#lblres_mira").text() != '') Redirect(); });
        $("#lblres_miun").click(function () { if ($("#lblres_miun").text() != '') Redirect(); });
        $("#lblres_mipo").click(function () { if ($("#lblres_mipo").text() != '') Redirect(); });
        $("#lblres_mili").click(function () { if ($("#lblres_mili").text() != '') Redirect(); });
        $("#lblres_miac").click(function () { if ($("#lblres_miac").text() != '') Redirect(); });

        $("#lblres_inra").click(function () { if ($("#lblres_inra").text() != '') Redirect(); });
        $("#lblres_inun").click(function () { if ($("#lblres_inun").text() != '') Redirect(); });
        $("#lblres_inpo").click(function () { if ($("#lblres_inpo").text() != '') Redirect(); });
        $("#lblres_inli").click(function () { if ($("#lblres_inli").text() != '') Redirect(); });
        $("#lblres_inac").click(function () { if ($("#lblres_inac").text() != '') Redirect(); });

    }

    function Redirect() {
        window.location.href = '@Url.Action("RiskRegister", "RiskRegister")';
    }
    function loadRiskList() {
        //alert('loadRiskList');

        var aryColTableChecked = [];
        for (var idx = 1; idx < 4; idx++) {
            aryColTableChecked.push("field" + idx);

        }

        var aoColumnDef = [];

        $.each(aryColTableChecked, function (i, value) {

            var obj = {
                "mData": value, "aTargets": [i]
            }
            aoColumnDef.push(obj);
        });

        if (oTable != null) {
            oTable.fnDestroy();
        }

        oTable = $('#tblData').dataTable({
            "sAjaxSource": "@Url.Action("GetDashboardRiskList", "Dashboard")",
            "bServerSide": false,
            "bProcessing": true,
            "bSort": false,
            "bPaginate": true,
            "bLengthChange": false,
            "bStateSave": false,
            "bDestroy": true,
            "bRetrieve": true,
            "fnServerData": function (sSource, aoData, fnCallback) {
                $.ajax({
                    "dataType": "json",
                    "type": "POST",
                    "url": sSource,
                    "data": aoData,
                    "success": fnCallback
                });
            },
            "sDom": '<"#tblData_header.clearfix "<"pull-left"l><"pull-right"r>><"table-responsive"t><"#ScrollTop"><"#tblData_footer.clearfix "<"pull-left"i><"pull-right"p>>',
            "fnServerParams": function (aoData) {
                aoData.push({ "name": "divid", "value": '@ViewBag.DivId' });
                aoData.push({ "name": "deptid", "value": $('#ddlDepartment').val() });
            },
            "aoColumnDefs": aoColumnDef,
            "iDisplayLength": 10,
            "oLanguage": {
                "sProcessing": '<i class="fa fa-spinner fa-spin"></i> Retrieve Data ... ',
                "sLengthMenu": '_MENU_'
            },
        });

        oTable.fnSettings().aoColumns[0].sClass = "text-center";
        oTable.fnSettings().aoColumns[1].sClass = "text-center";
        oTable.fnSettings().aoColumns[2].sClass = "text-left";
    }

    function removeLastState() {
        localStorage.removeItem("ddlDepartment");
        localStorage.removeItem("ddlstatus");
        localStorage.removeItem("ddlihrrisk_overallinherrisk");
        localStorage.removeItem("ddlresrisk_overallresidual");
        localStorage.removeItem("ddlexprisk_overallexpected");
        localStorage.removeItem("txtdepartmentkpi");
        localStorage.removeItem("txtriskdesc_loss");
        localStorage.removeItem("txtriskdesc_caused");
        localStorage.removeItem("txtihrrisk_notes");
        localStorage.removeItem("ddlihrrisk_finimpact");
        localStorage.removeItem("ddlihrrisk_oprimpact");
        localStorage.removeItem("ddlihrrisk_qualitativeimpact");
        localStorage.removeItem("txtcurraction_controldesc");
        localStorage.removeItem("txtresrisk_notes");
        localStorage.removeItem("txtexprisk_treatplan");
        localStorage.removeItem("txtexprisk_schedule");
    }

    $(document).ready(function () {
        loadDepartment().then(loadRiskMap).then(loadRiskList);

        removeLastState();

        //Division
        $(document).on("change", '#ddlDivision', function (e) {
            loadDepartment().then(loadRiskMap).then(loadRiskList);
        });

        //Division
        $(document).on("change", '#ddlDepartment', function (e) {
            loadRiskMap().then(loadRiskList);
        });

    });
</script>

<style type="text/css">
    .badgeihr {
        display: inline-block;
        min-width: 10px;
        padding: 3px 7px;
        font-size: 12px;
        font-weight: 700;
        line-height: 1;
        color: #181717;
        text-align: center;
        white-space: nowrap;
        vertical-align: baseline;
        background-color: #e03cb9;
    }

    .badgeres {
        display: inline-block;
        min-width: 10px;
        padding: 3px 7px;
        font-size: 12px;
        font-weight: 700;
        line-height: 1;
        color: #181717;
        text-align: center;
        white-space: nowrap;
        vertical-align: baseline;
        background-color: #ebf243;
    }

    .badgeextreme {
        display: inline-block;
        min-width: 10px;
        padding: 3px 7px;
        font-size: 12px;
        font-weight: 700;
        line-height: 1;
        color: #181717;
        text-align: center;
        white-space: nowrap;
        vertical-align: baseline;
        background-color: #fa2502;
        background-image: linear-gradient(to bottom left, #fa2502, #fb9803);
    }

    .badgehigh {
        display: inline-block;
        min-width: 10px;
        padding: 3px 7px;
        font-size: 12px;
        font-weight: 700;
        line-height: 1;
        color: #181717;
        text-align: center;
        white-space: nowrap;
        vertical-align: baseline;
        background-color: #fb9a34;
        background-image: linear-gradient(to bottom left, #fb9a34, #fdcb67);
    }

    .badgemedium {
        display: inline-block;
        min-width: 10px;
        padding: 3px 7px;
        font-size: 12px;
        font-weight: 700;
        line-height: 1;
        color: #181717;
        text-align: center;
        white-space: nowrap;
        vertical-align: baseline;
        background-color: #68ccff;
        background-image: linear-gradient(to bottom left, #68ccff, #ccecff);
    }

    .badgelow {
        display: inline-block;
        min-width: 10px;
        padding: 3px 7px;
        font-size: 12px;
        font-weight: 700;
        line-height: 1;
        color: #181717;
        text-align: center;
        white-space: nowrap;
        vertical-align: baseline;
        background-color: #69fa35;
        background-image: linear-gradient(to bottom left, #69fa35, #cbfc98);
    }
</style>
<!DOCTYPE html>
<html>
<head>

    <title>Risk Map</title>

</head>
<body>
    <div class="row">
        <!--Division-->
        <div class="col-sm-1"></div>
        <div class="col-sm-1" style="height: 34px;margin-top: 10px;"><label class="label-def-margin" for="ddlDepartment">Department</label></div>
        <div class="col-sm-3">
            <select class="form-control" id="ddlDepartment"></select>
        </div>

    </div>
    <div class="row">
        <div class="col-sm-12">
            <table class="tg" style="table-layout: fixed; width: 977px">
                <colgroup>
                    <col style="width: 70px">
                    <col style="width: 125px">
                    <col style="width: 125px">
                    <col style="width: 125px">
                    <col style="width: 125px">
                    <col style="width: 125px">
                </colgroup>
                <tr>
                    <td class="tg-hfk9"></td>
                    <td class="tg-07rh" colspan="5">
                        Risk Map
                    </td>
                </tr>
                <tr>
                    <td class="tg-pvtr">Catastrophic</td>
                    <td class="tg-pv6u">
                        <label class="label-def-margin" id="lblihr_cara"></label><br />
                        <label class="label-def-margin" id="lblres_cara"></label>
                    </td>
                    <td class="tg-pv6u">
                        <label class="label-def-margin" id="lblihr_caun"></label><br />
                        <label class="label-def-margin" id="lblres_caun"></label>
                    </td>
                    <td class="tg-e7c1">
                        <label class="label-def-margin" id="lblihr_capo"></label><br />
                        <label class="label-def-margin" id="lblres_capo"></label>
                    </td>
                    <td class="tg-e7c1">
                        <label class="label-def-margin" id="lblihr_cali"></label><br />
                        <label class="label-def-margin" id="lblres_cali"></label>
                    </td>
                    <td class="tg-e7c1">
                        <label class="label-def-margin" id="lblihr_caac"></label><br />
                        <label class="label-def-margin" id="lblres_caac"></label>
                    </td>
                </tr>
                <tr>
                    <td class="tg-pvtr">Major</td>
                    <td class="tg-pb0g">
                        <label class="label-def-margin" id="lblihr_mara"></label><br />
                        <label class="label-def-margin" id="lblres_mara"></label>
                    </td>
                    <td class="tg-pv6u">
                        <label class="label-def-margin" id="lblihr_maun"></label><br />
                        <label class="label-def-margin" id="lblres_maun"></label>
                    </td>
                    <td class="tg-pv6u">
                        <label class="label-def-margin" id="lblihr_mapo"></label><br />
                        <label class="label-def-margin" id="lblres_mapo"></label>
                    </td>
                    <td class="tg-e7c1">
                        <label class="label-def-margin" id="lblihr_mali"></label><br />
                        <label class="label-def-margin" id="lblres_mali"></label>
                    </td>
                    <td class="tg-e7c1">
                        <label class="label-def-margin" id="lblihr_maac"></label><br />
                        <label class="label-def-margin" id="lblres_maac"></label>
                    </td>
                </tr>
                <tr>
                    <td class="tg-pvtr">Moderate</td>
                    <td class="tg-pb0g">
                        <label class="label-def-margin" id="lblihr_mora"></label><br />
                        <label class="label-def-margin" id="lblres_mora"></label>
                    </td>
                    <td class="tg-pb0g">
                        <label class="label-def-margin" id="lblihr_moun"></label><br />
                        <label class="label-def-margin" id="lblres_moun"></label>
                    </td>
                    <td class="tg-pv6u">
                        <label class="label-def-margin" id="lblihr_mopo"></label><br />
                        <label class="label-def-margin" id="lblres_mopo"></label>
                    </td>
                    <td class="tg-pv6u">
                        <label class="label-def-margin" id="lblihr_moli"></label><br />
                        <label class="label-def-margin" id="lblres_moli"></label>
                    </td>
                    <td class="tg-pv6u">
                        <label class="label-def-margin" id="lblihr_moac"></label><br />
                        <label class="label-def-margin" id="lblres_moac"></label>
                    </td>
                </tr>
                <tr>
                    <td class="tg-pvtr">Minor</td>
                    <td class="tg-h6lc">
                        <label class="label-def-margin" id="lblihr_mira"></label><br />
                        <label class="label-def-margin" id="lblres_mira"></label>
                    </td>
                    <td class="tg-h6lc">
                        <label class="label-def-margin" id="lblihr_miun"></label><br />
                        <label class="label-def-margin" id="lblres_miun"></label>
                    </td>
                    <td class="tg-pb0g">
                        <label class="label-def-margin" id="lblihr_mipo"></label><br />
                        <label class="label-def-margin" id="lblres_mipo"></label>
                    </td>
                    <td class="tg-pb0g">
                        <label class="label-def-margin" id="lblihr_mili"></label><br />
                        <label class="label-def-margin" id="lblres_mili"></label>
                    </td>
                    <td class="tg-pv6u">
                        <label class="label-def-margin" id="lblihr_miac"></label><br />
                        <label class="label-def-margin" id="lblres_miac"></label>
                    </td>
                </tr>
                <tr>
                    <td class="tg-pvtr">Insignificant</td>
                    <td class="tg-h6lc">
                        <label class="label-def-margin" id="lblihr_inra"></label><br />
                        <label class="label-def-margin" id="lblres_inra"></label>
                    </td>
                    <td class="tg-h6lc">
                        <label class="label-def-margin" id="lblihr_inun"></label><br />
                        <label class="label-def-margin" id="lblres_inun"></label>
                    </td>
                    <td class="tg-h6lc">
                        <label class="label-def-margin" id="lblihr_inpo"></label><br />
                        <label class="label-def-margin" id="lblres_inpo"></label>
                    </td>
                    <td class="tg-pb0g">
                        <label class="label-def-margin" id="lblihr_inli"></label><br />
                        <label class="label-def-margin" id="lblres_inli"></label>
                    </td>
                    <td class="tg-pb0g">
                        <label class="label-def-margin" id="lblihr_inac"></label><br />
                        <label class="label-def-margin" id="lblres_inac"></label>
                    </td>
                </tr>
                <tr>
                    <td class="tg-thfk"></td>
                    <td class="tg-pvtr">Rare</td>
                    <td class="tg-pvtr">Unlikely</td>
                    <td class="tg-pvtr">Possible</td>
                    <td class="tg-pvtr">Likely</td>
                    <td class="tg-5ho0">Almost Certain</td>
                </tr>
            </table>
        </div>

    </div>
    <div class="row">
        <div class="col-sm-3">

        </div>
        <div class="col-sm-3">
            <label class="label-def-margin">
                <span class="badgeihr"></span>
                Inherent Risk
            </label>
            <label class="label-def-margin">
                <span class="badgeres"></span>
                Residual Risk
            </label>
        </div>
        <div class="col-sm-2">

        </div>
        <div class="col-sm-4">
            <label class="label-def-margin">
                <span class="badgeextreme"></span>
                Extreme
            </label>
            <label class="label-def-margin">
                <span class="badgehigh"></span>
                High
            </label>
            <label class="label-def-margin">
                <span class="badgemedium"></span>
                Medium
            </label>
            <label class="label-def-margin">
                <span class="badgelow"></span>
                Low
            </label>
        </div>
    </div>

    <div class="panel-body">
        <div class="row">
            <div class="col-sm-12">
                <table id="tblData" class="table table-striped table-hover table-bordered" width="100%" style="margin-top: 0 !important; margin-bottom: 0 !important; padding-top: 0 !important; padding-bottom: 0 !important;">
                    <thead class="bg-mantle-gradient">
                        <tr>
                            <th style="width: 50px;">&nbsp;No&nbsp;</th>
                            <th style="width: 100px;">Risk No</th>
                            <th>Loss Event</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
</body>
</html>